using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sheng.Winform.Controls
{
    /// <summary>
    /// 
    /// </summary>
    public class ShengListViewDescriptiveMembers : IShengListViewExtendMember
    {
        /// <summary>
        /// 
        /// </summary>
        public const string DescriptioinMember = "Description";
        /// <summary>
        /// 
        /// </summary>
        public string Description { get; set; }

        #region ISEListViewExtendMember 成员
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public Dictionary<string, string> GetExtendMembers()
        {
            Dictionary<string, string> members = new Dictionary<string, string>();

            if (String.IsNullOrEmpty(Description) == false)
                members.Add(DescriptioinMember, Description);

            return members;
        }

        #endregion
    }
}
